"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/lib/adapters/sveltekit.ts
var sveltekit_exports = {};
__export(sveltekit_exports, {
  sveltekit: () => sveltekit
});
module.exports = __toCommonJS(sveltekit_exports);
var import_environment = require("$app/environment");
var import_navigation = require("$app/navigation");
var import_stores = require("$app/stores");
var import_store = require("svelte/store");
function sveltekit(options = {}) {
  const { replace = false } = options;
  return {
    isBrowser: () => import_environment.browser,
    getBrowserUrl: () => {
      if (import_environment.building)
        return { hash: "", search: "" };
      return window.location;
    },
    updateBrowserUrl: (search, hash) => (0, import_navigation.goto)(`${search}${hash}`, {
      keepFocus: true,
      noScroll: true,
      replaceState: replace
    }),
    getServerUrl: () => {
      if (import_environment.building)
        return { hash: "", search: "" };
      return (0, import_store.get)(import_stores.page).url;
    },
    updateServerUrl: (_search, _hash) => {
    }
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  sveltekit
});
